Subject: Re: winsup woes: ps linking
From: [email-masked] (Mumit Khan)

8 Oct 1998 12:27:24 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: Albert Koelmans <[email-masked]>
Cc: GNU win32 mailing list <[email-masked]>

On Wed, 7 Oct 1998, Albert Koelmans wrote:

> I am trying to compile ps.exe from within winsup. I've configured it
> according to Mumit's advice, and all the Makefiles have been created. Top
> level make stops on strsignal.c, complaining about missing include files.

What missing headers?

> 
> When I try to compile ps, the linker says "undefined reference to
> cygwin32_internal". 

Set the EXE_LDFLAGS= variable in winsup/Makefile to the full pathname
of the winsup build directory so that it links with right the libcygwin.a.
The installed is missing cygwin32_internal which was added later on.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".